<div class="m-5">
    <form class="card m-5 bg-gray-200 border-slate-950 p-5" [formGroup]="form">
        <h1 class="mb-5 text-center text-2xl">Реєстрація</h1>
    <div class="">
      <label class="w-full" for="email">Введіть email</label>
        <input class="w-full mb-5" formControlName="email" type="text">
    </div>

   <diV  class="form-control">
    <label class="w-full" for="email">Введіть пароль</label>
          <input class="w-full mb-5" formControlName="password" type="text">
   </diV>
   <div class="form-control">
    <label class="w-full" for="email">Підтвердіть пароль</label>
          <input class="w-full mb-5" formControlName="confirmPassword" [type]="hideConfirnPassword ? 'password' : 'text'">
   </div>
    <ng-container *ngIf="authService.currentUser?.role == ROLE.ADMIN">
      <div *ngFor="let role of roles" class="field-checkbox">
        <p-radioButton [inputId]="role" [value]="role" formControlName="role"></p-radioButton>
        <label [for]="role" class="m-5 ml-2">{{ role }}</label>
      </div>
    </ng-container>
    <button pButton pRipple label="Зареєструвати аккаунт" type="button" class="m-5 text-3xl p-button-success" (click)="signupWithRole()"></button>
</form>
</div>
